# Class yii\web\HeadersAlreadySentException

Inheritance | yii\web\HeadersAlreadySentException » yii\base\Exception » Exception
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/HeadersAlreadySentException.php

HeadersAlreadySentException represents an exception caused by any headers that were already sent before web response was sent.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\web\HeadersAlreadySentException
getName() |  | yii\base\Exception

## Method Details

__construct() public method

public void __construct ( $file, $line )
$file |  |
$line |  |